"use strict";
// Метод forEach() выполняет указанную функцию один раз для каждого элемента в массиве.

let strArray;
function filterBy() {
  let arr = ["hello", "world", 23, "23", null];
  let dataType = prompt("Enter type of data");
  strArray = arr.filter(function (item) {
    if (typeof item !== dataType) return item;
  });
  console.log(strArray);
}
filterBy();

// Написать функцию filterBy(), которая будет принимать в себя 2 аргумента. Первый аргумент - массив, который будет содержать в себе любые данные, второй аргумент - тип данных.
// Функция должна вернуть новый массив, который будет содержать в себе все данные, которые были переданы в аргумент, за исключением тех, тип которых был передан вторым аргументом. То есть, если передать массив ['hello', 'world', 23, '23', null], и вторым аргументом передать 'string', то функция вернет массив [23, null].
